> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List orders



## OpenAPI

````yaml /openapi.json get /exchange/orders
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/orders:
    get:
      tags:
        - exchange
      summary: List orders
      operationId: Exchange.Web.Controller.list_orders
      parameters:
        - description: Cursor
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: After
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Limit
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: ''
          in: query
          name: type
          required: false
          schema:
            description: Order type
            enum:
              - buy
              - sell
            type: string
        - description: ''
          in: query
          name: status
          required: false
          schema:
            description: Order status
            enum:
              - open
              - cancelled
              - rejected
              - filled
              - expired
              - closed
            type: string
        - description: ''
          in: query
          name: price
          required: false
          schema:
            description: Order price
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrdersResponse'
          description: Order List
      callbacks: {}
components:
  schemas:
    OrdersResponse:
      description: Response schema for multiple orders
      properties:
        data:
          description: Order list
          items:
            $ref: '#/components/schemas/Order'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      title: OrdersResponse
      type: object
    Order:
      description: An order
      example:
        accepted_at: '2023-12-23T17:55:42.919523'
        average_fill_price: 80000
        business_id: dd625bec-b1a3-466e-867e-c91ae0b6e71e
        correlation_id: 7da742ea-a1bc-11ee-b907-560f156a658b
        created_at: '2023-12-23T17:55:42.911'
        expires_at: null
        id: 7da75a46-a1bc-11ee-9a32-560f156a658b
        min_qty: null
        min_quote_qty: null
        percent_filled: 10000
        price: 80000
        price_type: market
        qty: 1
        quote_qty: null
        status: filled
        symbol: USD-NGN
        time_in_force: gtc
        trades:
          - buy_order_id: 7da75a46-a1bc-11ee-9a32-560f156a658b
            commission: 0
            correlation_id: 7da742ea-a1bc-11ee-b907-560f156a658b
            created_at: '2023-12-23T17:55:42.921'
            id: 7da8e726-a1bc-11ee-80cf-560f156a658b
            price: 80000
            sell_order_id: 7d97c0b8-a1bc-11ee-b240-560f156a658b
            size: 1
            symbol: USD-NGN
        type: buy
        updated_at: '2023-12-23T17:55:42.911'
        user_id: b101f718-d133-450c-a572-c281c7341803
      properties:
        accepted_at:
          description: Order book registration timestamp
          format: date-time
          type: string
        average_fill_price:
          description: Order average price, in major units
          nullable: true
          type: string
        correlation_id:
          description: Correlation ID
          type: string
        created_at:
          description: Creation timestamp
          format: date-time
          type: string
        expires_at:
          description: Expiration timestamp
          format: date-time
          nullable: true
          type: string
        id:
          description: Order ID
          type: string
        min_qty:
          description: Minimum quantity to be traded at a go, in base currency
          nullable: true
          type: number
        min_quote_qty:
          description: Minimum quantity to be traded at a go, in quote currency
          nullable: true
          type: number
        percent_filled:
          description: Percentage of qty filled, in basis points
          type: integer
        price:
          description: Order price, in major units
          type: string
        price_type:
          description: Price type
          enum:
            - limit
            - market
          type: string
        qty:
          description: Order quantity, denominated in the base currency
          nullable: true
          type: number
        quote_qty:
          description: Order quantity, denominated in the quote currency
          nullable: true
          type: number
        status:
          enum:
            - open
            - cancelled
            - rejected
            - filled
            - expired
            - closed
          type: string
        symbol:
          description: Currency pair
          type: string
        time_in_force:
          enum:
            - gtc
            - gtt
            - ioc
            - fok
          type: string
        trades:
          description: Trades
          items:
            $ref: '#/components/schemas/Trade'
          type: array
        type:
          description: Order type
          enum:
            - sell
            - buy
          type: string
        updated_at:
          description: Update timestamp
          format: date-time
          type: string
      title: Order
      type: object
    Pagination:
      example:
        after: b101f718-d133-450c-a572-c281c7341803
        before: null
        limit: 15
      properties:
        after:
          description: After cursor
          nullable: true
          type: string
        before:
          description: Before cursor
          nullable: true
          type: string
        limit:
          description: Limit
          type: integer
      title: Pagination
      type: object
    Trade:
      description: An exchange trade
      example:
        buy_order_id: 7da75a46-a1bc-11ee-9a32-560f156a658b
        commission: '0.00'
        correlation_id: 7da742ea-a1bc-11ee-b907-560f156a658b
        created_at: '2023-12-23T17:55:42.921'
        id: 7da8e726-a1bc-11ee-80cf-560f156a658b
        price: '800.00'
        sell_order_id: 7d97c0b8-a1bc-11ee-b240-560f156a658b
        size: 1
        symbol: USD-NGN
      properties:
        buy_order_id:
          description: Buy order ID
          type: string
        commission:
          description: Trade commission in major units
          type: string
        correlation_id:
          description: Correlation ID
          type: string
        created_at:
          description: Creation timestamp
          format: date-time
          type: string
        id:
          description: Order ID
          type: string
        price:
          description: Trade price in major units
          type: string
        sell_order_id:
          description: Sell order ID
          type: string
        size:
          description: Trade size
          type: number
        symbol:
          description: Currency pair
          type: string
      title: Trade
      type: object

````